IDCVSSSummaryLast (major) updatePublished
CVE-2017-11509 9.0
An authenticated remote attacker can execute arbitrary code in Firebird SQL Server versions 2.5.7 and 3.0.2 by executing a malformed SQL statement.
28-03-2018 - 13:29 28-03-2018 - 13:29
CVE-2017-6369 6.5
Insufficient checks in the UDF subsystem in Firebird 2.5.x before 2.5.7 and 3.0.x before 3.0.2 allow remote authenticated users to execute code by using a 'system' entrypoint from fbudf.so.
28-03-2017 - 10:46 24-03-2017 - 06:59
CVE-2013-2492 6.8
Stack-based buffer overflow in Firebird 2.1.3 through 2.1.5 before 18514, and 2.5.1 through 2.5.3 before 26623, on Windows allows remote attackers to execute arbitrary code via a crafted packet to TCP port 3050, related to a missing size check during
06-12-2016 - 22:00 15-03-2013 - 18:55
CVE-2016-1569 4.0
FireBird 2.5.5 allows remote authenticated users to cause a denial of service (daemon crash) by using service manager to invoke the gbak utility with an invalid parameter.
05-12-2016 - 22:07 13-01-2016 - 10:59
CVE-2004-2043 5.0
Buffer overflow in ibserver for Firebird Database 1.0 and other versions before 1.5, and possibly other products that use the InterBase codebase, allows remote attackers to cause a denial of service (crash) via a long database name, as demonstrated u
17-10-2016 - 23:05 01-05-2004 - 00:00
CVE-2004-0718 7.5
The (1) Mozilla 1.6, (2) Firebird 0.7, (3) Firefox 0.8, and (4) Netscape 7.1 web browsers do not properly prevent a frame in one domain from injecting content into a frame that belongs to another domain, which facilitates web site spoofing and other
17-10-2016 - 22:48 27-07-2004 - 00:00
CVE-2003-0281 4.6
Buffer overflow in Firebird 1.0.2 and other versions before 1.5, and possibly other products that use the InterBase codebase, allows local users to execute arbitrary code via a long INTERBASE environment variable when calling (1) gds_inet_server, (2)
17-10-2016 - 22:31 16-06-2003 - 00:00
CVE-2003-0197 7.2
Buffer overflow gds_lock_mgr of Interbase Database 6.x allows local users to gain privileges via a long ISC_LOCK_ENV environment variable (INTERBASE_LOCK).
17-10-2016 - 22:30 11-04-2003 - 00:00
CVE-2004-0779 7.5
The (1) Mozilla 1.6, (2) Firebird 0.7 and (3) Firefox 0.8 web browsers do not properly verify that cached passwords for SSL encrypted sites are only sent via SSL encrypted sessions to the site, which allows a remote attacker to cause a cached passwor
18-07-2013 - 00:32 18-08-2004 - 00:00
CVE-2012-5529 3.5
TraceManager in Firebird 2.5.0 and 2.5.1, when trace is enabled, allows remote authenticated users to cause a denial of service (NULL pointer dereference and crash) by preparing an empty dynamic SQL query.
14-05-2013 - 23:32 19-11-2012 - 19:55
CVE-2007-3527 6.8
Integer overflow in Firebird 2.0.0 allows remote authenticated users to cause a denial of service (CPU consumption) via certain database operations with multi-byte character sets that trigger an attempt to use the value 65536 for a 16-bit integer, wh
30-10-2012 - 22:39 03-07-2007 - 14:30
CVE-2007-3181 10.0
Buffer overflow in fbserver.exe in Firebird SQL 2 before 2.0.1 allows remote attackers to execute arbitrary code via a large p_cnct_count value in a p_cnct structure in a connect (0x01) request to port 3050/tcp, related to "an InterBase version of gd
30-10-2012 - 22:37 12-06-2007 - 19:30
CVE-2007-2606 7.8
Multiple buffer overflows in Firebird 2.1 allow attackers to trigger memory corruption and possibly have other unspecified impact via certain input processed by (1) config\ConfigFile.cpp or (2) msgs\check_msgs.epp. NOTE: if ConfigFile.cpp reads a co
30-10-2012 - 22:35 11-05-2007 - 06:19
CVE-2008-0467 10.0
Stack-based buffer overflow in Firebird before 2.0.4, and 2.1.x before 2.1.0 RC1, might allow remote attackers to execute arbitrary code via a long username.
07-03-2011 - 22:04 28-01-2008 - 21:00
CVE-2007-5246 10.0
Multiple stack-based buffer overflows in Firebird LI 2.0.0.12748 and 2.0.1.12855, and WI 2.0.0.12748 and 2.0.1.12855, allow remote attackers to execute arbitrary code via (1) a long attach request on TCP port 3050 to the isc_attach_database function
07-03-2011 - 22:00 06-10-2007 - 13:17
CVE-2007-5245 10.0
Multiple stack-based buffer overflows in Firebird LI 1.5.3.4870 and 1.5.4.4910, and WI 1.5.3.4870 and 1.5.4.4910, allow remote attackers to execute arbitrary code via (1) a long service attach request on TCP port 3050 to the SVC_attach function or (2
07-03-2011 - 22:00 06-10-2007 - 13:17
CVE-2007-4668 5.0
Unspecified vulnerability in the server in Firebird before 2.0.2 allows remote attackers to determine the existence of arbitrary files, and possibly obtain other "file access," via unknown vectors, aka CORE-1312.
07-03-2011 - 21:58 04-09-2007 - 18:17
CVE-2007-4667 5.0
Unspecified vulnerability in the Services API in Firebird before 2.0.2 allows remote attackers to cause a denial of service, aka CORE-1149.
07-03-2011 - 21:58 04-09-2007 - 18:17
CVE-2007-4666 5.0
Unspecified vulnerability in the server in Firebird before 2.0.2, when a Superserver/TCP/IP environment is configured, allows remote attackers to cause a denial of service (CPU and memory consumption) via "large network packets with garbage", aka COR
07-03-2011 - 21:58 04-09-2007 - 18:17
CVE-2007-4665 5.0
Unspecified vulnerability in the server in Firebird before 2.0.2 allows remote attackers to cause a denial of service (daemon crash) via an XNET session that makes multiple simultaneous requests to register events, aka CORE-1403.
07-03-2011 - 21:58 04-09-2007 - 18:17
CVE-2007-4664 7.5
Unspecified vulnerability in the (1) attach database and (2) create database functionality in Firebird before 2.0.2, when a filename exceeds MAX_PATH_LEN, has unknown impact and attack vectors, aka CORE-1405.
07-03-2011 - 21:58 04-09-2007 - 18:17
CVE-2009-2620 5.0
src/remote/server.cpp in fbserver.exe in Firebird SQL 1.5 before 1.5.6, 2.0 before 2.0.6, 2.1 before 2.1.3, and 2.5 before 2.5 Beta 2 allows remote attackers to cause a denial of service (daemon crash) via a malformed op_connect_request message that
04-09-2009 - 01:28 29-07-2009 - 13:30
CVE-2008-0387 7.8
Integer overflow in Firebird SQL 1.0.3 and earlier, 1.5.x before 1.5.6, 2.0.x before 2.0.4, and 2.1.x before 2.1.0 RC1 might allow remote attackers to execute arbitrary code via crafted (1) op_receive, (2) op_start, (3) op_start_and_receive, (4) op_s
05-09-2008 - 17:34 28-01-2008 - 21:00
CVE-2007-4992 10.0
Stack-based buffer overflow in the process_packet function in fbserver.exe in Firebird SQL 2.0.2 allows remote attackers to execute arbitrary code via a long request to TCP port 3050.
05-09-2008 - 17:29 10-10-2007 - 20:17
CVE-2007-4669 4.0
The Services API in Firebird before 2.0.2 allows remote authenticated users without SYSDBA privileges to read the server log (firebird.log), aka CORE-1148.
05-09-2008 - 17:28 04-09-2007 - 18:17
CVE-2006-7214 7.8
Multiple unspecified vulnerabilities in Firebird 1.5 allow remote attackers to (1) cause a denial of service (application crash) by sending many remote protocol versions; and (2) cause a denial of service (connection drop) via certain network traffic
05-09-2008 - 17:16 29-06-2007 - 14:30
CVE-2006-7213 5.5
Firebird 1.5 allows remote authenticated users without SYSDBA and owner permissions to overwrite a database by creating a database.
05-09-2008 - 17:16 29-06-2007 - 14:30
CVE-2006-7212 6.8
Multiple buffer overflows in Firebird 1.5, one of which affects WNET, have unknown impact and attack vectors. NOTE: this issue might overlap CVE-2006-1240.
05-09-2008 - 17:16 29-06-2007 - 14:30
CVE-2006-7211 4.9
fb_lock_mgr in Firebird 1.5 uses weak permissions (0666) for the semaphore array, which allows local users to cause a denial of service (blocked query processing) by locking semaphores.
05-09-2008 - 17:16 29-06-2007 - 14:30
CVE-2006-1241 4.6
Firebird 1.5.2.4731 installs (1) fb_lock_mgr, (2) gds_drop, and (3) fb_inet_server with setuid firebird permissions, which might allow local users to gain privileges via a buffer overflow as identified by CVE-2006-1240, or possibly other vulnerabilit
05-09-2008 - 17:01 15-03-2006 - 12:06
CVE-2006-1240 4.6
Buffer overflow in inet_server.cpp in (1) fb_inet_server and (2) fbserver in Firebird 1.5.2.4731 allows local users to gain privileges via a long value of the -p argument.
05-09-2008 - 17:01 15-03-2006 - 12:06
CVE-2004-1449 2.6
Mozilla before 1.7, Firefox before 0.9, and Thunderbird before 0.7 allows remote attackers to determine the location of files on a user's hard drive by obscuring a file upload control and tricking the user into dragging text into that control.
05-09-2008 - 16:41 31-12-2004 - 00:00
CVE-2001-0008 10.0
Backdoor account in Interbase database server allows remote attackers to overwrite arbitrary files using stored procedures.
05-09-2008 - 16:23 12-02-2001 - 00:00
Back to Top Mark selected
Back to Top